
Figure - Bug #114667
【BSP】【EVT2】【FOTA】FOTA升级后，副屏没有提示升级结果
2022-12-16 22:57 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-12-16

Priority: High Due date:

Assignee: CDTS_TEST 刘勇 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212140521

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1.中控环境搭建好

2.中控环境中有全量包

【测试步骤】

3.中控通过网线链接路由，路由通过网线或者wifi 链接DUT

4.中控IP：192.168.0.2 ，DUT-IP：192.168.0.18

5.进入终端，cd ~/server/目录，并运行命令

sudo ./run_https.sh

sudo ./run_orch.sh

adb shell logcat > logcat-screnen-not_black.txt

6.待功能启动

7.选择功能2（Download PACKAGE）

输入"2"->按"回车" ->输入 "1"->输入"update.zip" 

8.等待下载完成并选择运行功能0（run script ）

输入 "0"-> 按"回车"->等待log中有提示下载完成(download succesful)->“adb reboot " 

9.升级成功后，查看升级结果

【期望结果】

9.升级后，有升级结果（包括版本信息，FOTA升级信息）

【实际结果】

4.升级后，没有升级结果提示

【复现概率】5/5

Related issues:

Copied from Figure - Bug # 114665: 【BSP】【EVT2】【FOTA】增量包升级失败 CLOSED 2022-12-16

History

#1 - 2022-12-19 10:27 - CD FW-王伟

- Assignee changed from CD FW-王伟 to 方案组-RD3_CDTS 王浩云

浩云，这个FOTA是没有提示信息的吧
#2 - 2022-12-19 10:53 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD FW-王伟

1. 升级过程中，无进度条

2. 升级后版本信息反馈中控，本地通过其他方式可查，无弹窗显示

3. setting--关于本机应该可以看到升级后的版本号

#3 - 2022-12-22 13:42 - CD FW-王伟

- Status changed from New to RESOLVED

- Assignee changed from CD FW-王伟 to BPD-TMBG 刘勇

- Resolution changed from -- to WONTFIX

副屏FOTA过程中没有UI提示。请根据浩云的式样进行测试吧

#4 - 2022-12-30 14:06 - CDTS_TEST 刘勇

- Assignee changed from BPD-TMBG 刘勇 to CDTS_TEST 刘勇

需求：副屏无UI暂时，模拟中控测试无需关注，关闭此票

#5 - 2022-12-30 14:06 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

#6 - 2022-12-30 14:06 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

Files

logcat-boxes-fota-dut_screen_not_poweroff.txt 3.38 MB 2022-12-16 CDTS_TEST 刘勇

logcat-boxes-fota-dut_inor_upgrade_fail.txt 2.28 MB 2022-12-16 CDTS_TEST 刘勇

logcat-boxes-fota-dut-Ethernet_normal-upgrade-Pass.txt 2.7 MB 2022-12-16 CDTS_TEST 刘勇
